Support » Plugin: Jamie Social Icons » HTML5 Validation errors

  • I am getting HTML5 validation errors – see below:-

    Element ul not allowed as child of element span in this context. (Suppressing further errors from this subtree.)

    <ul class=”jamie_social martinileft”>
    Contexts in which element ul may be used:
    Where flow content is expected.
    Content model for element span:
    Phrasing content.

    I tried chaning the span to a div and it generated even more errors relating to invalid XML for tags such as <fb:like

    Is there a resolution to this problem?
    TIA
    Rich

    http://wordpress.org/extend/plugins/jamie-social-icons/

Viewing 1 replies (of 1 total)
  • Plugin Author martiniboy

    (@martiniboy)

    Hi Rich
    Apologies for delay in getting back to you, in process of buying a house so spare time taken up by bank managers and DIY shops!!
    Anyway to the validation errors you could change the span to a nav, aside or just a div. I will need to look into the xml errors as these code are generated from the social sites if there is validation errors it may not be possible to correct. I will try to keep you updated asap but may be a couple of weeks before I get to sit in front of my PC and not look for curtains or bath tubs etc!!
    Apologies if this has caused any inconvenience

Viewing 1 replies (of 1 total)
  • The topic ‘HTML5 Validation errors’ is closed to new replies.